Skip to content
Start here

Retrieves Security Center Insight Counts by Severity

security_center.insights.severity.get(SeverityGetParams**kwargs) -> SeverityGetResponse
GET/{accounts_or_zones}/{account_or_zone_id}/security-center/insights/severity

Retrieves Security Center insight counts aggregated by severity level (critical, high, medium, low).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: Optional[str]

The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

zone_id: Optional[str]

The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

dismissed: Optional[bool]
issue_class: Optional[SequenceNotStr[str]]
issue_class_neq: Optional[SequenceNotStr[str]]
issue_type: Optional[List[IssueType]]
One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
issue_type_neq: Optional[List[IssueType]]
One of the following:
"compliance_violation"
"email_security"
"exposed_infrastructure"
"insecure_configuration"
"weak_authentication"
"configuration_suggestion"
product: Optional[SequenceNotStr[str]]
product_neq: Optional[SequenceNotStr[str]]
severity: Optional[List[SeverityQueryParam]]
One of the following:
"low"
"moderate"
"critical"
severity_neq: Optional[List[SeverityQueryParam]]
One of the following:
"low"
"moderate"
"critical"
subject: Optional[SequenceNotStr[str]]
subject_neq: Optional[SequenceNotStr[str]]
ReturnsExpand Collapse
List[SeverityGetResponseItem]
count: Optional[int]
value: Optional[str]

Retrieves Security Center Insight Counts by Severity

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
severities = client.security_center.insights.severity.get(
    account_id="account_id",
)
print(severities)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "count": 1,
      "value": "value"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "count": 1,
      "value": "value"
    }
  ]
}